Class | FFI::Enum
In: | lib/ffi/enum.rb
Parent: | Object

### Methods

[] find from_native native_type new symbol_map symbols to_h to_hash to_native

### Included Modules

DataConverter

### Attributes

tag | [R] |

### Public Class methods

new(info, tag=nil)

### Public Instance methods

[](query)
find(query)

Alias for #[]

from_native(val, ctx)
native_type()
symbol_map()
symbols()
to_h()

Alias for symbol_map

to_hash()

Alias for symbol_map

to_native(val, ctx)

[Validate]